heartbeat-2 (2.1.3-7~sipwise4+0~mr9.2.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 12 Jan 2021 11:41:04 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr9.2.1.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [96b630f] TT#101063 Fix installation of drbd OCF resource
  * [71a4824] TT#101063 Remove autogenerated files
  * [d88ff07] TT#101063 Fix linking with gcc-10 for global variables
  * [fd2e604] TT#101063 Fix linking with gcc-10 for undeclared symbols
  * [610ee04] TT#101063 Convert debian/copyright to UTF-8
  * [459f44d] TT#101063 Use mkfifo instead of mknod to create a named pipe
  * [7a61123] TT#101063 Do not install libtool .la files
  * [d240d36] TT#101063 Remove unused heartbeat-2-gui package
  * [508d33e] TT#101063 Switch from deprecated dh_movefiles to dh_install
  * [7c3dd20] TT#101063 Switch from python 2 to 3

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 05 Jan 2021 15:30:41 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr9.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Nov 2020 16:23:51 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr9.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 31 Aug 2020 21:53:22 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr9.0.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [912c5a7] TT#86852 fix possible cl_status core dump

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 21 Jul 2020 14:47:48 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr8.6.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [dbe7c74] TT#83357 support interface specification for IPv6addr

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 14 Jul 2020 11:51:40 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr8.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 19 May 2020 11:07:28 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr8.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 16 Mar 2020 11:12:47 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr8.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 27 Jan 2020 12:20:15 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr8.2.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [b9de271] TT#51701 Switch from deprecated /var/run to /run

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 25 Nov 2019 14:53:39 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr8.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 08 Oct 2019 09:07:00 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr8.0.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [aa88092] TT#61101 Remove obsolete alternative dependencies
  * [6aed81a] TT#61954 Set debhelper compat level in Build-Depends instead of debian/compat
  * [1c6886b] TT#61954 Remove unused dh_installinit calls
  * [122bc8f] TT#7570 Add Conflicts against pacemaker/corosync packages

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 05 Aug 2019 20:53:46 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr7.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 17 Jun 2019 14:35:13 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr7.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 25 Apr 2019 14:27:14 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr7.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 25 Feb 2019 22:52:42 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr7.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 09 Jan 2019 21:56:24 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr7.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 12 Nov 2018 22:34:20 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr7.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Sep 2018 18:53:03 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr6.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 24 Jul 2018 13:34:13 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr6.4.0.0) unstable; urgency=medium

  [ Alexander Lutay ]
  * [aebe348] TT#36043 Switch Requires=monit.service to Wants=monit.service for heartbeat
  * [0865a6b] TT#36043 Switch Requires=monit.service to Requires=heartbeat.service for hb_watchdog

  [ Guillem Jover ]
  * [d2a4e64] TT#36043 Remove monit.service dependency information from service files
  * [3b29964] TT#26264 Cleanup hb_watchdog service
  * [5bfc2de] TT#26264 Cleanup heartbeat service support
  * [3bd3175] TT#26264 Remove obsolete rc.d symlinks

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 29 May 2018 10:03:33 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr6.3.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [7e84c95] TT#28550 Move monit and heartbeat into multi-user
  * [8d36349] TT#28550 Remove KillMode directive for heartbeat service

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 03 Apr 2018 22:27:18 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr6.2.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [17e898c] TT#27151 Use the libc malloc instead of the internal cl_malloc
  * [f116e44] TT#28550 Fix monit and heartbeat to play nicely together with systemd

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 29 Jan 2018 21:52:43 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr6.1.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [a7edff8] TT#22072 Update packaging

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 06 Dec 2017 00:03:06 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr6.0.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [83c7878] TT#20088 Handle changes in ifconfig output in Debian stretch

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 02 Oct 2017 23:38:11 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr5.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 17 Jul 2017 22:42:50 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr5.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 16 May 2017 21:34:10 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr5.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 Mar 2017 10:51:00 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr5.2.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [177680f] TT#6650 Remove calls to obsolete gnutls_*_set_priority functions

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 03 Feb 2017 00:31:55 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr5.1.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [bbcba64] TT#6650 Bump Debian compat version to level 9 to build against stretch

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 17 Nov 2016 23:12:02 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr5.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 01 Aug 2016 16:23:46 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr4.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 23 May 2016 18:43:25 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr4.4.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [44a059d] MT#17117 Switch from transitional/dummy iproute to iproute2
  * [3a6e457] MT#16473 Use GnuTLS instead of OpenSSL transitively via cURL

  [ Michael Prokop ]
  * [d51eae9] MT#17699 Bump Standards-Version to 3.9.7

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 21 Mar 2016 22:14:25 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr4.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 16 Dec 2015 09:12:15 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr4.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 12 Oct 2015 15:29:50 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr4.1.0.0) unstable; urgency=low

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 13 Jul 2015 15:11:06 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr4.0.0.0) unstable; urgency=low

  [ Michael Prokop ]
  * [7b8bc04] MT#9127 Bump Standards-Version to 3.9.6

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 18 Mar 2015 13:55:35 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr3.8.0.0) unstable; urgency=low

  [ Alexander Lutay ]
  * [f15f7fe] MT#7505 Add .gitreview file for heartbeat

  [ Michael Prokop ]
  * [2403e0c] MT#9617 Apply debian/patches/debian-changes to git repository
  * [867f016] MT#9617 Commit ldirectord/ldirectord + telecom/recoverymgrd/conf_lex.c from upstream sources
  * [4e81a60] MT#9617 Support compilation on Debian/jessie.
    Thanks to Richard Fuchs <rfuchs@sipwise.com> for the initial patch
  * [725a5a7] MT#9617 Build-Depend on libgnutls28-dev or libgnutls-dev
  * [7a544ad] MT#9617 Adjust Makefile.am for inclusion of SphinxSearchDaemon
  * [4f71576] MT#9617 Drop deprecated dh_python calls from debian/rules
  * [86478c9] MT#9617 Revert "MT#9617 Adjust Makefile.am for inclusion of SphinxSearchDaemon"
  * [5c65554] MT#9617 Refresh fix_MT9617_debian_jessie_support.patch for usage with sipwise-debian-changes.patch
  * [404c886] MT#9617 Apply debian-changes patch as sipwise-debian-changes.patch

  [ Victor Seva ]
  * [1c0aef1] MT#10689 MT#5715 move lock to /var/run/heartbeat dir for security reasons

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 07 Jan 2015 21:24:19 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr3.7.0.0) unstable; urgency=low

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 30 Oct 2014 17:17:35 +0100

heartbeat-2 (2.1.3-7~sipwise4+0~mr3.6.0.0) unstable; urgency=low

  [ Michael Prokop ]
  * [34f9bad] MT#7335 Update Debian packaging regarding Python for jessie
  * [973eef3] MT#7335 Fix incompatibility with glib version from Debian/jessie
  * [c456201] MT#7335 Fix socket.h/ucast.c conflict when compiling for Debian/jessie
  * [c28c44f] MT#7335 Fix flex issues when compiling for Debian/jessie
  * [e2f2ba2] MT#7335 Fix pod2man compile issues with ldirectord for Debian/jessie

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 09 Oct 2014 16:29:06 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr3.5.0.0) unstable; urgency=low

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Jul 2014 15:23:37 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr3.4.0.0) unstable; urgency=low

  [ Victor Seva ]
  * [36798db] MT#5715 use locking before write to fifo
  * [31de592] MT#5715 use return instead of exit
  * [d4bb287] Revert "MT#5715 use return instead of exit"
  * [a07e39f] MT#6517 unify Debian Packaging

  [ Michael Prokop ]
  * [fdf782c] MT#6511 Bump Standards-Version to 3.9.5

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 26 May 2014 15:41:47 +0200

heartbeat-2 (2.1.3-7~sipwise4+0~mr3.3) unstable; urgency=low

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sat, 01 Feb 2014 19:41:56 +0100

heartbeat-2 (2.1.3-7~sipwise4) unstable; urgency=low

  [ Michael Prokop ]
  * Use 3.0 (quilt) format for Debian packaging
  * Fix formating of debian/patches/ldirectord-init-lsb.patch
  * And another formating fix
  * Another formating fix
  * Formating fix for debian/patches/ldirectord-rows.patch
  * add single-debian-patch to debian/source/options

  [ Andrew Pogrebennyk ]
  * update changelog

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Wed, 07 Aug 2013 13:11:00 +0200

heartbeat-2 (2.1.3-7~sipwise3) unstable; urgency=low

  * Rework patch handling, using quilt now.

 -- Michael Prokop <mprokop@sipwise.com>  Tue, 07 May 2013 22:24:13 +0200

heartbeat-2 (2.1.3-7~sipwise2) squeeze-backports; urgency=low

  [ Andreas Granig ] 
  * Cherry-pick upstream de3074ce2c9718725a374bcd2199ebc077a7d796 to
    fix issues with re-ordered ip route lists.

 -- Andreas Granig <agranig@sipwise.com>  Tue, 06 Nov 2012 15:31:21 +0100

heartbeat-2 (2.1.3-7~sipwise1) squeeze-backports; urgency=low

  [ Richard Fuchs ]
  * IPv6 addr stalls takeover by 5 seconds due to sending UAs
    put this into background

 -- Michael Prokop <mprokop@sipwise.com>  Fri, 17 Aug 2012 18:16:55 +0200

heartbeat-2 (2.1.3-6lenny4~bpo60+2) squeeze-backports; urgency=low

  * Conflict with cluster-agents package (file conflict due
    to /etc/ha.d/shellfuncs).

 -- Michael Prokop <mprokop@sipwise.com>  Thu, 23 Jun 2011 00:40:56 +0200

heartbeat-2 (2.1.3-6lenny4~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Adjust file path (/usr/lib<->/usr/lib64) for building the Debian
    package properly on 64bit systems.
  * Rename package to heartbeat-2 (and other binary packages
    accordingly as well) to avoid conflicts with versions in squeeze.
  * Replace build-depends on libsensors-dev with libsensors4-dev.
  * Drop python-xml from depends of hearbeat-2-gui (see #540475).
  * Drop all virtual packages since we don't support anything
    older than squeeze.

 -- Michael Prokop <mprokop@sipwise.com>  Wed, 22 Jun 2011 14:06:06 +0200

heartbeat (2.1.3-6lenny4) stable-proposed-updates; urgency=low

    * Allow for a clean upgrade from etch to lenny.
      This follows section 7.6.2 of the Debian Policy Manual,
      which seems relevant.
      - Add the following to heartbeat:
        Provides: libstonith0, libpils0
        Conflicts: libstonith0, libpils0
        Replaces: libstonith0, libpils0
      - Add the following to heartbeat-dev:
        Provides: libstonith-dev, libpils-dev
        Conflicts: libstonith-dev, libpils-dev
        Replaces: libstonith-dev, libpils-dev
    (closes: #526085)

 -- Simon Horman <horms@debian.org>  Thu, 30 Apr 2009 11:07:27 +1000

heartbeat (2.1.3-6lenny3) stable-proposed-updates; urgency=low

  * Fix syntax error in o2cb which prevented it from working
    Upstream-status: o2cb has been removed from upstream
    (closes: #521394)

 -- Simon Horman <horms@debian.org>  Tue, 14 Apr 2009 18:55:26 +1000

heartbeat (2.1.3-6lenny2) stable-proposed-updates; urgency=low

  * IPv6addr: Fix handling of /64 prefixes
    Upstream-Status: commit 6d5f0f600c0b2147490af0c5e592fc995336902a
                     "IPv6addr fails on /64 prefixes"
    (closes: #515662)

 -- Simon Horman <horms@debian.org>  Fri, 20 Feb 2009 02:34:29 +0000

heartbeat (2.1.3-6lenny1) stable-proposed-updates; urgency=low

  * dopd: fix basic failover; fix hb message corruption by fprintf(stderr)
    Patch: fix-basic-failover-fix-hb-message-corruption-by-fprintf.patch
    Upstream-Status: commit 47f60bebe7b25abd88ea7b5488e66dfe187416ae
                     "dopd: fix basic failover; fix hb message corruption by
                      fprintf(stderr)"
    (closes: #486071)

 -- Simon Horman <horms@debian.org>  Mon, 16 Feb 2009 02:54:43 +0000

heartbeat (2.1.3-6lenny0) testing-proposed-updates; urgency=low

  * heartbeat-gui dependancy on python-xml
    (closes: #496951)

  * heartbeat-gui dependancy on uuid-runtime
    (closes: #512403)

  * heartbeat dependancy on mawk

    With this change heartbeat now depends on both gawk and mawk.
    Clearly there is roome for improvment here. I will try and
    get things cleaned-up in upstream and unstable.

    (closes: #512403)

 -- Simon Horman <horms@debian.org>  Thu, 22 Jan 2009 03:37:43 +0000

heartbeat (2.1.3-6) unstable; urgency=low

  * Run confgure before clean in debian/rules to handle the
    bizzare case where targets exist but Makefiles don't -
    This is actually the case in 2.1.3-5, I'm not sure when or
    how this occured.
    
    Thanks to Andrew Suffield for pointing this out

    (closes: #476700)

  * Recompile using a version of debhelper that doesn't feature
    a bug whereby manpages aren't compressed.

    (closes: #475667)

 -- Simon Horman <horms@debian.org>  Wed, 23 Apr 2008 05:18:45 +0000

heartbeat (2.1.3-5) unstable; urgency=high

  * ldirectord: Define $rows in check_sql()
    Upstream-Status: commit 600697207ff573913787d78ee56a1c6e458f08eb
    Patch: ldirectord-rows.patch
    (closes: #472663)

 -- Simon Horman <horms@debian.org>  Wed, 26 Mar 2008 11:52:35 +0900

heartbeat (2.1.3-4) unstable; urgency=low

  * Add LSB tags to ldirectord init script
    Upstream-Status: commit 34212491d1e069d99c0339e0479145af5d480711
    Patch: ldirectord-init-lsb.patch
    (closes: #469764)

 -- Simon Horman <horms@debian.org>  Fri, 07 Mar 2008 10:52:51 +0900

heartbeat (2.1.3-3) unstable; urgency=low

  * Updated syslog related recommends
    ldirectord: from: sysklogd | syslog-ng
                to:   rsyslog | system-log-daemon
    (closes: #464011)
    heartbeat:  from: sysklogd | syslog-ng | system-log-daemon
                to:   rsyslog | system-log-daemon
  * Remove bashisms in ocf-tester, hb_report and heartbeat's init script
    Upstream-Status: commit 2b3a34dc4257b65761f1ba021623d59f15944ae5
    (closes: #464985)
  * ldirectord: allow sql select checks to work
    Thanks to Geoff Harrison
    Upstream-Staus: commit eaa43842608caf75552e9f755c91e35b7a2ff6d1
    Patch: bashisms.patch
  * ldirectord: clear memory config on reload
    Thanks to Geoff Harrison
    Upstream-Status: c01c9790d2b83f493a4aa5f86e1a5b1233d7daa2
    Patch: ldirectord-clear-config-in-memory-on-reload.patch
  * lrm: Don't list complted opperations as failed
    Linux Foundation Bug #1822
    http://developerbugs.linux-foundation.org/show_bug.cgi?id=1833
    Upstream-Status: Pending
    Patch: lrm-dont-revise-op_status.patch

 -- Simon Horman <horms@debian.org>  Mon, 18 Feb 2008 12:37:47 +0900

heartbeat (2.1.3-2) unstable; urgency=low

  * Update standards version from 3.7.2 to 3.7.3
  * Add should-start/stop $remote_fs to init script (closes: #459497)
  * Add should-start/stop openhpid to init scrpt (see: #459497)
  * Remove should-stop ntp to init script (see: #459497)
  * Rebase tree against tarball - its almost as if the 2.1.3-1 upload
    was based on another tree
    - Update
      + /usr/lib/libpe_rules.so.1.0.0 to libpe_rules.so.2.0.0
      + /usr/lib/libpe_status.so.1.0.0 to libpe_status.so.2.0.0
    - Move
      + /usr/lib/heartbeat/ha_logd.cf to /usr/share/doc/heartbeat/logd.cf
    - Add
      + /usr/lib/heartbeat/utillib.sh
      + /usr/lib/ocf/resource.d/heartbeat/iscsi
      + /usr/lib/stonith/plugins/external/ibmrsa-telnet
      + /usr/lib/stonith/plugins/external/ipmi
      + /usr/include/clplumbing/cl_reboot.h
      + /usr/share/heartbeat/utillib.sh
      + /usr/share/doc/heartbeat/hb_report.html
      + /usr/share/doc/heartbeat/hb_report.txt
      + /usr/sbin/hb_report
      + /usr/sbin/ciblint
    - A host of other changes as per the 2.1.3 changelog
  * Add SphinxSearchDaemon OCF resource that was missing from the distribution

  * Build notes:
    - Unpacked tarball from linux-ha.org
    - Applied changes detaile above
    - Applied debian patches: ./debian/rules patch
    - Affected changes to configure.in
      + Backed up libltdl.tar, haclient.zh_CN.mo
      + Ran ./ConfigureMe bootstrap to effect changes to configure.in
      + Removed symlinks created by ./ConfigureMe:
        - autoconf, automake, autoheader
      + Restored libltdl.tar, haclient.zh_CN.mo
    - Built package

 -- Simon Horman <horms@debian.org>  Tue, 08 Jan 2008 11:58:03 +0900

heartbeat (2.1.3-1) unstable; urgency=low

  * New Upstream (closes: #457577)
  * Add Debian patches that were missing in the tarball
  * Add dependacy on to heartbeat gawk as it is required by
    the OCF IPaddr resource (closes: #447932)
  * Updated check to enable build of IPv6Addr
    - hopefully this one can be merged upstream
    - The old check was applied to configure.in but configure had not been
      updated
    (closes: #455255)
  * Add a prerm to heartbeat-2 to remove stale .pyc files (closes: #455050)
  * Add dependancy on libxml2-utils to hartbeat as the BasicSanityCheck
    needs xmllint
  * Use -common files in hbmgmtd's pam file (closes: #444371)
    - Add dependancy on libpam-runtime (>= 0.76-14) to heartbeat to ensure
      that common-* files exist
  * Don't include .pyc and .pyo files in heartbeat package
    - As per section 2.6 of the Debian Python Policy
  * Add tomcat OCF module

  * Build notes:
    - Unpacked tarball from linux-ha.org
    - Applied changes detaile above
    - Applied debian patches: ./debian/rules patch
    - Affected changes to configure.in
      + Backed up libltdl.tar, haclient.zh_CN.mo
      + Ran ./ConfigureMe bootstrap to effect changes to configure.in
      + Removed symlinks created by ./ConfigureMe:
        - autoconf, automake, autoheader
      + Restored libltdl.tar, haclient.zh_CN.mo
    - Built package

 -- Simon Horman <horms@debian.org>  Wed, 26 Dec 2007 11:07:17 +0900

heartbeat (2.1.2+hg.11310.702e4f418ca8-2) unstable; urgency=low

  * Add patches in debian/patches/ which went missing in action somewhere

 -- Simon Horman <horms@debian.org>  Sat, 29 Sep 2007 11:16:33 +0900

heartbeat (2.1.2+hg.11310.702e4f418ca8-1) unstable; urgency=low

  * New Upstream:
    - Snapshot of: http://hg.linux-ha.org/dev/shortlog/702e4f418ca8
    - See: http://www.gossamer-threads.com/lists/linuxha/users/42476
    - Dowloaded: http://hg.linux-ha.org/dev/archive/obs-2.1.2-4.tar.bz2
    - Ran ./ConfigureMe configure && make dist
    - Used resulting tarball as orig.tar.gz for this release
    - The downloaded STABLE-2.1.0.tar.bz2 could not be used as
      bootstraping it to the point where the code could be built
      resulted in changes that could not be represented in the diff.gz
    - Added the contents of lrm/test/testcases/ from obs-2.1.2-4.tar.bz2.
      These was not included in the tarball due to an error
      in the Makefile.am in that directory which has subsequently
      been fixed by http://hg.linux-ha.org/dev/shortlog/b0b696766097
    - Added the files in lrm/test/ from obs-2.1.2-4.tar.bz2.
      These was not included in the tarball due to an error
      in the Makefile.am in that directory which has subsequently
      been fixed by http://hg.linux-ha.org/dev/shortlog/7c31795636db and
      http://hg.linux-ha.org/dev/shortlog/e7a4ddfa7cd6
    (closes: #444278)
  * Make package binMMU safe. Thanks to Lior Kaplan.
    (closes: #435974)
  * Remove ipmilan stonith module as it seems to be cronically broken
    - Remove the build dependancy on libopenipmi-dev (>= 2.0.1) accordingly
  * Add dependancy on libperl-dev as libperl is needed
    (though I am not sure why)
  * Remove duplicate changelog
    (closes: #443163)

 -- Simon Horman <horms@debian.org>  Fri, 28 Sep 2007 12:27:58 +0900

heartbeat (2.1.2-1) unstable; urgency=low

  * New Upstream
    - Fix file relocation problems
      (closes: #434829)
    - Fix IPaddr's handling of CIDR netmasks
    - Ran ./ConfigureMe bootstrap && make distclean &&
          rm ltdl.m4 libtool.m4 autoconf automake autoheader
      to effect changes made to configure.in
  * Add openhpi stonith module
    - Add build dependancy on libopenhpi-dev
    - Add usr/lib/stonith/plugins/stonith2/bladehpi.so to heartbeat.files
  * IPv6 configure check
    - For the ipv6 check to work Debian ia64 currently needs to check
      "sys/types.h", a patch went into the tree a while ago to fix this.
      However, at the 11th hour a patch went into 2.1.2 to reverse this
      change as it breaks the build on RHEL4. So for now, until a proper
      fix is made, just reverse that change in Debian packages.
    - Ran ./ConfigureMe bootstrap && make distclean &&
          rm ltdl.m4 libtool.m4 autoconf automake autoheader
      to effect changes made to configure.in
    - Patch: ipv6-check.patch

 -- Simon Horman <horms@debian.org>  Tue, 31 Jul 2007 11:01:16 +0900

heartbeat (2.1.1-1) unstable; urgency=low

  * New Upstream
  * Remove merged patches
    - README.config-heartbeat-2.patch
    - README.config-heartbeat.patch
    - ipaddr2-bashism.patch
    - ipv6addr-21-char-devname.patch
    - ipv6addr-find_if-overflow.patch
    - ipv6addr-scanf-return.patch
    - ldirectord-init.patch
    - configure-sys-types.h.patch
  * After unpacking apply patches and run autoconf to effect
    changes to configure.in
  * Update files included in heartbeat, heartbeat-dev and ldirectord packages
  * Update rules file to reflect that /usr/lib/heartbeat/cts/README
    has been moved to usr/share/heartbeat/cts/README.
    This README is installed as /usr/share/doc/heartbeat/README.cts

 -- Simon Horman <horms@debian.org>  Wed, 25 Jul 2007 14:15:38 +0900

heartbeat (2.0.8-10) unstable; urgency=low

  * Remove apparently bogus build-dependacy on modutils
    Thanks to Russell Coker for spotting this.
    A bug was subsequently filed as the result of some automated testing.
    (closes: #432441)
  * Build dependancy on libsnmp-dev rather than libsnmp10-dev | libsnmp-dev
    as libsnmp10-dev does not seem to exist (any more?)
  * Change heartbeat-gui's dependancy on heartbeat to a suggests,
    as heartbat-gui can access heartbeat remotely
    (closes: #430082)

 -- Simon Horman <horms@debian.org>  Thu, 19 Jul 2007 13:38:35 +0900

heartbeat (2.0.8-9) unstable; urgency=low

  * Run autoconf so that the FTBFS on ia64 fix included in
    2.0.8-8 actually takes effect. Bahh!

 -- Simon Horman <horms@debian.org>  Thu, 31 May 2007 19:37:43 +0900

heartbeat (2.0.8-8) unstable; urgency=low

  * Use sys/types.h instead of asm/types.h when trying to detect
    the preseance of linux/icmpv6.h. Resolves FTBFS on ia64
    Patch: configure-sys-types.h.patch
  * Remove linux-kernel-headers for ia64 added in 2.0.8-7 as
    a) it didn't resolve the problem and b) the types.h change
    above does.
  * Use << instead of < for dependancy relations
  * Add --enable-glib-malloc to configure's arguments
    on advice from Andrew Beekhof

 -- Simon Horman <horms@debian.org>  Thu, 31 May 2007 18:26:10 +0900

heartbeat (2.0.8-7) unstable; urgency=low

  * Add a (tempoary) build dependancy on linux-kernel-headers for ia64
    to get around a curious autobuild problem.
    See: http://lists.debian.org/debian-ia64/2007/05/msg00003.html

 -- Simon Horman <horms@debian.org>  Fri, 25 May 2007 16:07:22 +0900

heartbeat (2.0.8-5) unstable; urgency=low

  * The heartbeat-2-dev.dirs and friends change in 2.0.8-4 closes
    #424192, not #424053 (which is also fixed by a different change
    in 2.0.8-4)
  * Add missing dummy package for stonith

 -- Simon Horman <horms@debian.org>  Thu, 17 May 2007 15:43:55 +0900

heartbeat (2.0.8-4) unstable; urgency=low

  * Create a Debian init script for ldirectord
    Thanks to Ratiu Petru Iulius
    Patch: ldirectord-init.patch
    (closes: #391974)
  * Documentation path of ldirectord should be /usr/share/doc/ldirectord,
    not /usr/share/doc/ldirectord-2
  * Change priority of ldirectord to extra to match the lowest priority
    of any of its dependancies
  * Add versioned conflicts on old pils and stonith packages to heartbeat and
    heartbeat-dev, which include those old package's files.
    (closes: #424053)
  * Have the clean target of debian rules remove the following files that
    are priovided by the orig.tar.gz - Debian packages can't delete files
    - heartbeat-2-dev.dirs heartbeat-2-dev.files heartbeat-2.dirs
      heartbeat-2.files heartbeat-2.postinst heartbeat-2.postrm
      heartbeat-2.preinst ldirectord-2.files ldirectord-2.postinst
      ldirectord-2.postrm
    (closes: #424053)

 -- Simon Horman <horms@debian.org>  Wed, 16 May 2007 13:58:24 +0900

heartbeat (2.0.8-3) unstable; urgency=low

  * Rename source package from heartbeat-2 to heartbeat.
    Previously the heartbeat source package was used to package
    up the 1.2.X series of releases, and heartebat-2 was used
    for the newer 2.0.X series of releases. The idea being to offer
    stable "heartbeat" packages when the 2.0.X stuff was all
    new. It turns out that the 2.0.X tree has been at least as
    stable as the 1.2.X tree for quite a while now, and the 1.2.X doesn't
    get much attention any more, so  there seems little advantage in
    having the separate source packages, except perhaps to create confusion
    and extra work.
  * Update curl build dependancy for libcurl4
    Thanks to Christian Marillat
    (closes: #423655)
  * 2.0.8 (and probably earilier) includes the corrected scsi command syntax
    Thanks to Christoph Martin
    (closes: #350586)

 -- Simon Horman <horms@debian.org>  Mon, 14 May 2007 12:13:03 +0900

heartbeat-2 (2.0.8-2) unstable; urgency=low

  * Update build debendancy and rebuild against libsnmp10.
    Somehow libsnmp9 has been removed from the distribution,
    rendering heartbeat uninstallable.
    Thanks to Steinar H. Gunderson
    (closes: #422320)
  * IPaddr2: Remove bashisms
    Patch: ipaddr2-bashism.patch
    Upstream: http://hg.linux-ha.org/dev/rev/165a9a897e3b
    Thanks to Erich Schuebert
    (closes: #420206)
  * Fix up documentation location in /etc/ha.d/README.config
    Thanks to Russell Coker
    (closes: #418206)
  * IPv6addr: Fix potential stack overflow in use of devname in scan_if
    Patch: ipv6addr-21-char-devname.patch
    Upstream: http://hg.linux-ha.org/dev/rev/37271ae7f117
  * IPv6addr: Fix potential buffer overflow when a 128bit prefix is used
    Patch: ipv6addr-find_if-overflow.patch
    Upstream: http://hg.linux-ha.org/dev/rev/b4bc188b4ebe
  * IPv6addr: Handle scanf failures in scan_if()
    Patch: ipv6addr-scanf-return.patch
    Upstream: http://hg.linux-ha.org/dev/rev/31d19acfd1b9
  * Run autoconf to incoporate the chown-check-2.patch workaround
    to allow the configure script to work under fakeroot.
    I have no idea how this was not applied for 2.0.8-1 and yet
    the build still worked.
  * Change priority of ldirecord from optional to extra to
    match the priority of its dependancies ipvsadm and libauthen-radius-perl

 -- Simon Horman <horms@debian.org>  Sat, 05 May 2007 13:36:36 +0900

heartbeat-2 (2.0.8-1) unstable; urgency=low

  * New Upstream
    Thanks to Peter Clapham for his assistance 
  * errata: CVE-2006-3121 was incorrectly refered to as CVE-2006-3821 in
    the changelog for 2.0.6-2 and 2.0.7-1
  * Dropped the following patches as they are now upstream
    - ldirectord-1.141-emailalert-2-global.patch (introduced in 2.0.6-2)
  * Remove alternate dependancy on netkit-ping as it is being removed
    from Debian (closes: #383987)

 -- Simon Horman <horms@debian.org>  Tue, 30 Jan 2007 12:43:09 +0900

heartbeat-2 (2.0.7-2) unstable; urgency=low

  * Add dependancy and build dependancy on psmisc for fuser
    Thanks to Hans-Joachim Baader
    (Closes: #400958)
  * Acknowldge NMU by Roger Leigh (Closes: #383987)  

 -- Simon Horman <horms@debian.org>  Thu, 30 Nov 2006 02:26:24 +0000

heartbeat-2 (2.0.7-1) unstable; urgency=low

  * New Upstream
  * Dropped the following patches as they are now upstream
    - ldirectord-1.141-emailalert-1-quiet.patch  (introduced in 2.0.6-2)
    - ldirectord-1.141-readline_workaround.patch (introduced in 2.0.6-2)
    - CVE-2006-3821.patch                        (introduced in 2.0.6-2)

 -- Simon Horman <horms@debian.org>  Mon, 14 Aug 2006 19:00:13 +0900

heartbeat-2 (2.0.6-2) unstable; urgency=high

  * ldirectord-1.141-emailalert-1-quiet.patch
    Don't send email alerts if the alert address is not configured
    (closes: #378450)
  * ldirectord-1.141-emailalert-2-global.patch
    Allow emailalert and emailalertfreq directives to be global
    as well as per-virtual service
  * ldirectord-1.141-readline_workaround.patch
    readline doesn't seem to return lines after Net::FTP
    has been called, so split them up by hand.
  * Added recommends iptables to heartbeat-2, as it is needed
    for the portblock resource to function correctly
  * Added /var/lib/heartbeat/pengine directory
    (closes: #379071)
  * Replace 02-chown-check.patch with chown-check-2.patch
    - use the environement variable FAKED_MODE instead of FAKEROOTKEY to check
      if code is runing in fakeroot. At some stage around fakeroot 1.5.10
      FAKEROOTKEY disapeared. Ran autoconf manually to effect this change
      after repatching.
    - Updated 02-chown-check.patch: fix typos in comment
  * CVE-2006-3821.patch
    Fix remote denial of causes caused by insufficient bounds checking
    on data read from the network.
    CVE-2006-3821
  * Python transition - http://wiki.debian.org/DebianPython/NewPolicy
    (closes: #380842)
    - Update build dependancy on debhelper from (>= 4.0.0) to (>= 5.0.37.2)
    - Add dh_python call to debian/rules
    - created debian/pycompat with contents of "2"
    - heartebeat: deplaced depenancy on python with one on ${python:Depends}
    - Added XB-Python-Version: ${python:Versions} to each package
    - Replace build dependancy on python2.3-dev with one on python-dev
    - Use python-central
      + Add build depends on python-central (>= 0.5)
      + Add dh_pycentral call right before dh_python in debian/rules
      + Add XS-Python-Version: current in the source stanza of debian/control

 -- Simon Horman <horms@debian.org>  Tue,  8 Aug 2006 18:49:00 +0900

heartbeat-2 (2.0.5-8) unstable; urgency=low

  * ldirectord-2: Add missing dependancy on libmailtools-perl
                  (Mail::Send)
                  (closes: #376722)
  * ldirectord-2: Add missing dependancy on libnet-perl
                  (Net::SMTP, Net::FTP, Net::POP3)
  * ldirectord-2: Remove unneccesary dependancy on adduser
  * Automake transition: http://wiki.debian.org/AutomakeTransition
    - Remove unneccesary build-depends on automake1.9 | automaken
    - Remove unneccesary build-conflicts on automake1.4

 -- Simon Horman <horms@debian.org>  Wed,  5 Jul 2006 10:55:00 +0900

heartbeat-2 (2.0.5-7) unstable; urgency=low

  * Don't run deluser and delgroup in postrm
    - These commands may not be available at this time (closes: #375941)
    - If there are any files left that belong to this user or group
      then they will be left unowned and get inhereited by the
      next user that comes along that happens to have hacluster's
      old userid or the old haclient groupid respectively.

 -- Simon Horman <horms@debian.org>  Thu, 29 Jun 2006 15:13:26 +0900

heartbeat-2 (2.0.5-5) unstable; urgency=low

  * Reverse the change made in 2.0.5-4
    It turns out that in heartbeat-2 (as opposed to heartbeat) 
    is a script which calls a binary that is located in 
    /usr/lib/ocf/resource.d/heartbeat/

 -- Simon Horman <horms@debian.org>  Mon, 12 Jun 2006 17:19:52 +0900

heartbeat-2 (2.0.5-4) unstable; urgency=low

  * Move IPv6addr from /etc/ha.d/resource.d/ into /usr/lib/heartbeat,
    and then symlink that back into /etc/ha.d/resource.d/ as binaries
    are not allowed in /etc (closes: #372850)

 -- Simon Horman <horms@debian.org>  Mon, 12 Jun 2006 16:23:59 +0900

heartbeat-2 (2.0.5-3) unstable; urgency=low

  * Fix libgnutls binary dependancy
    - Build-Depends on libgnutls-dev instead of libgnutls13-dev
    - Recompile against libgnutls13 in place of libgnutls11
    - (closes: #370423)

 -- Simon Horman <horms@debian.org>  Mon,  5 Jun 2006 17:57:23 +0900

heartbeat-2 (2.0.5-2) unstable; urgency=low

  * Make use of invoke-rc.d (closes: #367761)
  * Update from standards versoin from 3.6.2 to 3.7.2

 -- Simon Horman <horms@debian.org>  Fri, 19 May 2006 10:39:07 +0900

heartbeat-2 (2.0.5-1) unstable; urgency=low

  * New Upstream
  * Removed build depenancy on openssl-devel,
    as heartbeat no longer uses openssl directly.
    (Libraries that heartbeat depends on may in turn
     depend on openssl creating an indirect depenancy
     or build-dependancy).

 -- Simon Horman <horms@debian.org>  Tue,  9 May 2006 11:55:52 +0900

heartbeat-2 (2.0.4-1) unstable; urgency=low

  * New Upstream
  * Don't try and stop heartbeat in preinst on the first install
    (closes: #355719)

 -- Simon Horman <horms@debian.org>  Wed,  8 Mar 2006 09:46:46 +0900

heartbeat-2 (2.0.3-2) unstable; urgency=low

  * Add build dependancy on libncurses-dev to allow crm_mon to work
    Thanks to Guy Coates
  * Move hacluster user and haclient group creation (don't ask me why the
    user and group names are different) from preinst to postinst.
    Once upon a time there might have been a need for it in preinst,
    but the current packaging changes files to have the hacluster user
    and haclient group as neccessary in the postinst. So there is
    no need to create them before postinst.
    This is a better fix to #352158, and the pre-depends on adduser
    has been changed to a depends accordingly.
    (closes: #352158)
  * Stop heartbeat in preinst

 -- Simon Horman <horms@debian.org>  Tue, 14 Feb 2006 13:42:37 +0900

heartbeat-2 (2.0.3-1) unstable; urgency=low

  * New Upstream
  * Make sure adduser is passed the --system flag
    (closes: #336580)
  * Slightly Enhanced package descriptions
    (closes: #337030)
  * Add build dependancy on swig
  * As PYTHON_PATH has been added to configure.in it seems that autoconf1.4
    can no longer build this tree.  Currently autoconf is provided by
    autoconf1.4, and autoconfn is a virtual package provided by autoconf1.7,
    1.8 and 1.9.  Accordingly, replace the autoconf build dependancy with
    autoconf1.9 | autoconfn.  And add a build conflict on autoconf1.4. This
    way the autoconf command should be autoconf1.7, 1.8 or 1.9, but not 1.4
    as was previously the case.
  * Don't apply 00-ssh_scp_path.patch as it should no longer be needed,
    instead add a build dependancy on openssh-client.
    Also removed call to relevant configure options.
  * Removed configure option that no longer exists
    --enable-checkpointd
  * Removed configure options that are now on by default
    --enable-crm --enable-lrm
  * Add build dependancy on libgnutls11-dev, as 1.0 probably doesn't
    compile as _t types don't exist.
    http://lists.gnu.org/archive/html/help-gnutls/2004-08/msg00001.html
  * Fix insonsistency between hb_stanby(1) man page, an the wiki
    (closes: #339016)
  * Make /usr/bin/cl_status setgid
    (closes: #351178)
  * Make sure that /var/run/heartbeat/{ccm,crm} exist on install
    else postinst, and thus the install will abort.
    (closes: #351181)
  * Fix inconsistency between hb_standb(1) man page and wiki
    (closes: #339016)
  * Add Pre-Depends on adduser
    (closes: #352158)
  * Add management tool 
    ./confgure --enable-mgmt
    Build-Depends: python2.3-dev, libpam0g-dev

 -- Simon Horman <horms@debian.org>  Sat, 11 Feb 2006 09:41:17 +0000

heartbeat-2 (2.0.2-5) unstable; urgency=low

  * Change libcurl3-dev dependancy to libcurl3-openssl-dev
    (closes: #334622)

 -- Simon Horman <horms@debian.org>  Wed, 19 Oct 2005 19:09:51 +0900

heartbeat-2 (2.0.2-4) unstable; urgency=low

  * Include /var/lib/heartbeat/ccm and /var/run/heartbeat/crm
    (closes: #330634)

 -- Simon Horman <horms@debian.org>  Thu, 29 Sep 2005 12:16:03 +0900

heartbeat-2 (2.0.2-3) unstable; urgency=low

  * Get rid of bogus touching of config.status and friends in clean target,
    which if run as root causes build failures.

 -- Simon Horman <horms@debian.org>  Tue, 27 Sep 2005 22:28:01 +0900

heartbeat-2 (2.0.2-2) unstable; urgency=low

  * Add build dependancy on libltdl3-dev 
    (closes: #330194)

 -- Simon Horman <horms@debian.org>  Tue, 27 Sep 2005 20:38:12 +0900


heartbeat-2 (2.0.2-1) unstable; urgency=low

  * New upstream

 -- Simon Horman <horms@debian.org>  Mon, 26 Sep 2005 15:11:23 +0900

heartbeat-2 (2.0.1-4) unstable; urgency=low

  * Add /var/run/heartbeat directory to package
    http://www.osdl.org/developer_bugzilla/show_bug.cgi?id=900

 -- Simon Horman <horms@debian.org>  Sat, 24 Sep 2005 14:56:51 +0900

heartbeat-2 (2.0.1-3) unstable; urgency=low

  * Restrurctured  provides, conflicts and replaces
  * Made heartbeat-2-dev depend on heartbeat-2, not heartbeat

 -- Simon Horman <horms@debian.org>  Thu, 22 Sep 2005 17:24:19 +0900

heartbeat-2 (2.0.1-2) unstable; urgency=low

  * Uptream initally made the wrong tar ball avaliable for
    2.0.1 and this was used to build 2.0.1-1.
    I have asked 2.0.1-1 not to be accepted into the Debian Archive
    for this reason. 2.0.1-2 uses the updated, correct tarball from
    upstream.

  * Note that this package has a binary dependancy on libssl
    only because of linking against libsnmp9 (5.2.1.2-3)

  * Add build dependancy on libsensors-dev (for libsnmp9)

 -- Simon Horman <horms@debian.org>  Thu, 22 Sep 2005 12:56:11 +0900

heartbeat-2 (2.0.1-1) unstable; urgency=low

  * New upstream

  * Add /var/lib/heartbeat/cores/root, /var/lib/heartbeat/cores/hacluster
    and /var/lib/heartbeat/cores/nobody
  * Remove usr/lib/stonith/plugins/stonith2/riloe.so, its
    no longer in the tree
  * Enable snmp_agent
  * Added new libplumbgpl
  * Added new ha_logd.cf
  * Added new iso8601 executable
  * Temporarly remove the drac3 module as GPL code that links
    against OpenSSL is not acceptable to Debian.
    - http://lists.community.tummy.com/pipermail/linux-ha-dev/2005-August/011266.html
    - http://www.osdl.org/developer_bugzilla/show_bug.cgi?id=853
  * Update build dependncy from libsnmp5-dev to libsnmp9-dev
  * Make configure chown test fakeroot aware to avoid build hang 
  * Fix syntax error in db OCF resource
  * Make crm/test/helper.sh have #! /bin/bash
  * Make resources/OCF/ocf-shellfuncs.in have #! /bin/bash
  * Update FSF address
  * Zero config.status, libltdl/config.log and libltdl/config.status on clean

 -- Simon Horman <horms@debian.org>  Thu, 15 Sep 2005 20:24:52 +0900

heartbeat-2 (2.0.0-2) unstable; urgency=low

  * Add /var/lib/heartbeat/ccm and /var/lib/heartbeat/cores

 -- Simon Horman <horms@debian.org>  Wed,  3 Aug 2005 22:54:35 +0900

heartbeat-2 (2.0.0-1) unstable; urgency=low

  * New upstream
  * Added dependancy on libnet-dns-perl to ldirectord
  * Added --enable-checkpointd to configure arguments
  * Added --disable-snmp-subagent to configure arguments
  * Added --disable-swig to configure arguments
  * Add build dependancy on uuid-dev
  * Readranged packages to allow heartbeat 1.2.X to exist in debian
    and heartebat 2.X to be heartbeat-2 until heartbeat-2 gets
    a bit more testing in the wild. Also consoldidated binary
    packages into heartbaet-2, and development packages into
    heartbeat-2-dev, ldirectord is still in its own package,
    ldirectord2, as it drags in a lot of dependancies that
    no other part of the system uses.

 -- Simon Horman <horms@debian.org>  Sat, 30 Jul 2005 16:20:55 +0900

heartbeat (1.2.3-12) unstable; urgency=high

  * 11-tmpfile-problems.patch, 12-tmpfile-problems-2.patch
    Don't use predictable temp files
    [heartbeat/lib/BasicSanityCheck.in, heartbeat/resource.d/WAS.in
     lib/plugins/stonith/meatware.c, lib/stonith/meatclient.c,
     cts/CM_hb.py.in, cts/CTStests.py.in CAN-2005-2231] (closes: #318287)
  * debian/apply
    Apply patches in the correct order.
  * 12-tmpfile-problems-2.patch
    Added CTS back in with security fix
    [usr/lib/heartbeat/cts/CM_fs.py, usr/lib/heartbeat/cts/CM_hb.py,
    usr/lib/heartbeat/cts/CTS.py, usr/lib/heartbeat/cts/CTSaudits.py,
    usr/lib/heartbeat/cts/CTSlab.py, usr/lib/heartbeat/cts/CTStests.py
    CAN-2005-2231]
  * 13-confdir.patch
    Change CONF_D defined (and missing) in some resources
    to HA_CONFDIR in shelfuncs, allowing arp_config to function
    correctly in IPaddr2 and SendArp. (closes: #318266)
  * debian/rules
    Include cts documentation
  * 14-ipadd2_no_loopback_delete.patch
    Fix IPaddr2 so it doesn't remove loopback interfaces on stop
  * 15-LVM2.patch
    Allow the LVM resource to work with LVM2 as well as LVM1
    (closes: #309906)
  * Upgrade Standards-Version from 3.6.1 to 3.6.2

 -- Simon Horman <horms@debian.org>  Mon, 18 Jul 2005 22:27:29 +0200

heartbeat (1.2.3-10) unstable; urgency=low

  * Make signal handling less aggressive to avoid exiting in
    FTP and LDAP chacks.  (closes: #310600)

 -- Simon Horman <horms@debian.org>  Fri, 17 Jun 2005 18:17:03 +0900

heartbeat (1.2.3-9) unstable; urgency=low

  * Stop heartbeat in preinst so starting it in postinst
    wont cause an error if it was already running.
    (closes: #303149)

 -- Simon Horman <horms@debian.org>  Tue,  5 Apr 2005 15:57:44 +0900

heartbeat (1.2.3-8) unstable; urgency=low

  * Added dependancy on libnet-dns-perl to ldirectord
  * Removed Build-Dependancy on raidtools2 as it is being removed
    from the archive and removed the Raid1 resource from the
    heartbeat package accordingly. (closes: #296717)
  * Added build dependancy on bison and flex.

 -- Simon Horman <horms@debian.org>  Tue, 22 Mar 2005 13:20:18 +0900

heartbeat (1.2.3-7) unstable; urgency=low

  * Remove the hacluser user and haclient group on purge. (closes: #29951)
  * Note the Delay resource bug closed in 1.2.3-4 was #287848, not #28784.

 -- Simon Horman <horms@debian.org>  Tue, 15 Mar 2005 12:30:45 +0900

heartbeat (1.2.3-5) unstable; urgency=low

  * Added missing libxml2-dev build dependancy that is required
    for the drac3 stonith module to build. (closes: #290235)

 -- Simon Horman <horms@debian.org>  Fri, 14 Jan 2005 16:23:48 +0900

heartbeat (1.2.3-4) unstable; urgency=low

  * Move user and group creation code from postinst to preinst
    (Jochen Friedrich) (closes: #285603)
  * Don't set uid of user that is created
    (Daniel Hermann) (closes: #288818)
  * Stonith module for EXTERNAL Stonith device
    (Daniel Hermann) (closes: #286274)
  * Remove control fifo in postrm
  * Fix gcc-4.0 compile problems (Andreas Jochens) (closes: #286347)
  * Removed stray heartbeat-stonith.files and heartbeat-ldirectord.files
    from debian/, these have not been used for quite some time now.
  * Added build dependancy on libcurl-dev to allow drac3 Stonith device to build
  * Added drac3 Stonith device to build
  * Add --disable-fatal-warnings to ./configure in debian/rules,
    this is known not to work cleanly with debian's lex and yacc.
    Also, reverse 02-lex_yacc_cflags.patch, which is an attempt to
    work around this, which doesn't always work.
  * Fix loop in FIFO reader that manifests on SPARC/Linux
    (Jochen Friedrich) (closes: #285356)
  * Fix typo in Delay resource that causes both stop and start to fail
    (Daniel Hermann) (closes: #28784)

 -- Simon Horman <horms@debian.org>  Wed, 12 Jan 2005 12:22:01 +0900

heartbeat (1.2.3-3) unstable; urgency=low

  * Removed /etc/ha.d/resource.d/apache as it does not work
    properly _on Debian_ and by removing it /etc/init.d/apache will be used
    which does work. Reported by Fraser Campbell. (closes: #283447)
  * Update ldirectord from 1.77.2.5 to 1.77.2.6 for https bug.
    http://www.gossamer-threads.com/lists/linuxha/users/22059
    Requested by Amadeus Scherhaufer.

 -- Simon Horman <horms@debian.org>  Wed,  1 Dec 2004 16:35:59 +0900

heartbeat (1.2.3-2) unstable; urgency=low

  * Fixed a bug related to repeat STONITHs failing because we freed some
    data we shouldn't have.
  * Don't run exclude cl_status from dh_fixperms as it overrides permissions
    that the build system sets which are needed for correct opperation.

 -- Simon Horman <horms@debian.org>  Tue, 16 Nov 2004 15:54:28 +0900

heartbeat (1.2.3-1) unstable; urgency=low

  * New Upstream
    - Incoporate init script patch from 1.2.2-12 (Bug#268670)
    - Incoporate ssh dependancy patch from 1.2.2-11
    - All other changes were merged upstream for 1.2.3
  * Added patch manager from kernel-source-2.4.27 to keep debian
    specific and otherwise unmerged patches in order

 -- Simon Horman <horms@debian.org>  Tue, 21 Sep 2004 16:05:46 +0900

heartbeat (1.2.2-12) unstable; urgency=low

  * Backport send ARP from head branch
    - broadcast works with -C
    - -C is documented
    - (closes: Bug#262288)
  * Some init scipts tell us that they are not running,
    heartbeat mistakenly just sees "running" and assumes they are.
    - Fix by adding the following to ResourceManager(.in)
   	  case `$spath $arg status` in
      ->    *not [Rr]unning*)   return 3;;
     	    *[Rr]unning*|*OK*)	return 0;;
     	    *)			return 3;;
   	  esac
    - (closes: Bug#268670)
  * Remove config.log in clean target of rules file

 -- Simon Horman <horms@debian.org>  Mon, 30 Aug 2004 12:21:20 +0900

heartbeat (1.2.2-11) unstable; urgency=medium

  * Remove build dependancy on ssh as the package has ongoing
    install problems on arm and this is preventing this package
    from moving into sarge. Instead, provide configure options
    to specify the path to ssh and scp.

 -- Simon Horman <horms@debian.org>  Mon, 26 Jul 2004 12:00:37 +0900

heartbeat (1.2.2-10) unstable; urgency=low

  * Revert to tar ball that was used for previous (> 1.2.2-9) builds.
    You can't modify the tar ball on debian.org !!! (silly me)

 -- Simon Horman <horms@debian.org>  Wed,  7 Jul 2004 12:17:28 +0900

heartbeat (1.2.2-9) unstable; urgency=low

  * Fix sequence number wrap in ping_group
    (Patched ping_group.c from 1.10 to 1.11)
  * Build against tar ball from linux-ha.org
    A locally produced tar ball had been used in the past (my mistake)

 -- Simon Horman <horms@debian.org>  Wed,  7 Jul 2004 11:20:41 +0900

heartbeat (1.2.2-8) unstable; urgency=low

  *  The previous version never made it into testing because
     the build failed on arm because the ssh package was broken
     at the time. I have not had any luck contacting someone to
     rebuild the package.
  *  Updated ldirectord to 1.77.2.4 (from 1.77.2.2).
     Fixes a problem where real servers present in multiple
     virtuals would only be added to one virtual service.

 -- Simon Horman <horms@debian.org>  Wed, 23 Jun 2004 17:01:26 +0900

heartbeat (1.2.2-7) unstable; urgency=low

  * Link the apcmastersnmp stonith module against libsnmp

 -- Simon Horman <horms@debian.org>  Fri,  4 Jun 2004 16:07:49 +0900

heartbeat (1.2.2-5) unstable; urgency=low

  * Fixed alignment error in IPv6addr.c that manifests on ia64
    (closes: Bug#249847)

 -- Simon Horman <horms@debian.org>  Thu, 20 May 2004 11:20:47 +0900

heartbeat (1.2.2-4) unstable; urgency=low

  * Put back inary-arch and binary-indep targets
    (closes: Bug#188835) (closes: Bug#249606)
  * Put the prioroty of all packages, except ldirectord back to optional
    Left ldrirectord as optional as it depends on ipvsadm,
    which is optional.

 -- Simon Horman <horms@debian.org>  Wed, 19 May 2004 12:21:54 +0900

heartbeat (1.2.2-3) unstable; urgency=low

  * Package provides /etc/ha.d and /etc/heartbeat
    (actually fixed in 1.2.2-2) (closes: Bug#222712)
  * There is a known limitation with ifconfig's handling of
    long interface names. Use IPadd2, which used the ip command,
    instead.  (Fixed in upstream) (closes: Bug#229978)
  * New upstream (closes: Bug#248611)
  * Heartbeat package does not use debconf anymore
    (Fixed a while ago) (closes: Bug#189932)
  * Evms seems to no longer depend on heartbeat.
    (closes: Bug#207607)
  * Made dependancy on libnet1-dev instead of 
    libnet1-dev | libnet0-dev | libnet-dev.
    - libnet0-dev is in setction oldlibs in stable
    - allows IPv6addr to be included.
  * Include IPv6addr
  * Made dependancy on libssl-dev instead of libssl-dev | libssl09-dev
    as libssl09-dev is not in stable.
  * Changed priority to extra as that is the lowest common 
    denominator of our dependancies.

 -- Simon Horman <horms@debian.org>  Tue, 18 May 2004 12:54:30 +0900

heartbeat (1.2.2-2) unstable; urgency=low

  * New Upstream
  * ldirectord uses host portion of request string as documented in
    the man page. (closes: Bug#242220)
  * ldirectord check_ftp no longer uses pipes. (closes: Bug#243157)
  * The binary-arch and binary-indep targets did not conform to Debian policy.
    It is rather difficult to implement them correctly given the heartbeat
    build system, and the policy allows them not to exist. (closes: Bug#188835)
  * Added dependancy on libmail-imapclient-perl. (closes: Bug#242077)
  * The timestamp overflow was fixed long time ago.
    (closes: Bug#239683) (closes: Bug#239687)
  * inet_aton is no longer used in mcast.c (closes: Bug#239684)
  * Patch is superseeded by much newer codebase
    (closes: #239685) (closes: Bug#239686)
  * Init script no longer uses -e argument to echo. (closes: Bug#136541)
  * Plugins no longer need to be executable. (closes: Bug#247348)
    (closes: Bug#247485)
  * Merged debian packaging in Debian Unstable pool with the
    linux-ha tree.

 -- Simon Horman <horms@debian.org>  Fri, 14 May 2004 12:32:26 +0900

heartbeat (1.2.0-2) unstable; urgency=low

  * Added Depends on libmail-imapclient-perl to ldirectord.
    (Closes: #242077) Thanks Cyril Bouthors for noticing.

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Mon,  5 Apr 2004 09:11:03 +0200

heartbeat (1.2.0-1) unstable; urgency=low

  * The 'My f*cking Toshiba HD crashed and delayed everything' release
  * New upstream release

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Tue, 16 Mar 2004 20:24:24 +0100

heartbeat (1.0.4-3) unstable; urgency=low

  * Corrected default paths to Apache binary and configuration file.
    (Closes: #230042)
  * Corrected typo in heartbeat-dev description (Closes: #230639)
  * Corrected grammatical confusion in template (Closes: #232459)
  * Actually correct permissions on /var/lib/heartbeat/ccm.
    (Closes: #233021)

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Wed, 28 Jan 2004 07:36:17 +0100

heartbeat (1.0.4-2) unstable; urgency=low

  * Improved haclient user and group creation/deletion [postinst & postrm]
    Make use of gentent instead of greping /etc/(passwd|group)
    Inspired by Horms' packages ;)
  * Moved to debhelper compatability 4. Created debian/compat.
  * Avoid failing while moving contents from old configuration dir to
    new one if expected contents are not found.
    (Closes: #221546)
  * Removed README.config from /etc (Closes: #222708)
  * Make 'daemon' be the default syslog facility for heartbeat
    (Closes: #226600)
  * Corrected owner and permissions under /var/lib/heartbeat
    (Closes: #228505)
  * Make libstonith0 depend on libsnmp5. Thanks Stefan Beck for noticing.
    (Closes: #228544)
  * Make libstonith0 depend on libssl0.9.7. Why the f*ck does dpkg-shlibdeps
    not find these?
  * Make heartbeat start later and stop sooner (S75 and K05) so that it
    won't f*ck drbd. Thanks Stefan Schleifer for noticing.
    Created a debconf template to ask if the change should be done when
    upgrading from previous versions.
  * Fixed debconf template text for directory movement.

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Wed, 12 Nov 2003 15:05:00 +0100

heartbeat (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.6.1. No change
  * Removed debconf supported configuration of heartbeat.
    It was buggy, and a pain to debug. I'd rather not have it
    on sarge. (Closes: #204775) I'll work on a new one when time
    permits.

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Sat,  4 Oct 2003 17:36:40 +0200

heartbeat (1.0.3-3) unstable; urgency=low

  * Removed deletion of fifo files in heartbeat.prerm
    (That shouldn't be done there. It broke dpkg-reconfigure)
  * Added Depends on libwww-perl and libnet-ssleay-perl
    (Closes: #142297)
  * libstonith-dev's Section is now libdevel (Closes: #188206)

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Sun, 13 Jul 2003 17:13:43 +0200

heartbeat (1.0.3-2) unstable; urgency=low

  * Fixed sections for libstonith-dev, it's libdevel

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Sat, 12 Jul 2003 20:10:59 +0200

heartbeat (1.0.3-1) unstable; urgency=low

  * The 'debcamp' release
  * New upstream release
  * Added build-depends on iputils-ping, I hoped it wouldn't be
    necessary. (Closes: #200938)
  * Also added Depends on iputils-ping. That's the ping package
    with the ping syntax we need (Closes: #170799)
  * The heartbeat.config from 0.4.9.2-1 did 'cut' the right way 
    (Closes: #166065)
  * Added missing db_stop in heartbeat.postinst
    (Closes: #199484)
  * /usr/lib/heartbeat/ResourceManager now has the right path to
    init.d scripts (Closes: #169865)
  * Made Simon Horman <horms@vergenet.net> a co-maintainer

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Sat, 12 Jul 2003 12:13:03 +0200

heartbeat (1.0.2-1) unstable; urgency=low

  * New upstream release (Closes: #186900)
  * New maintainer (Closes: #192680)
  * Bumped Standards-Version to 3.5.10
  * Patched ha_msg.c to fix format string bug (Closes: #199016)

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Wed, 02 Jul 2003 00:11:24 +0200

heartbeat (0.4.9.2-3.1) unstable; urgency=low

  * Use -r instead of -R for ipvsadm.  Thanks to Sergio Talens-Oliag.
  (Closes: #147290)
  * Fix lintian errors by removing *.conffiles.

 -- James Morrison <phython@debian.org>  Sat, 29 Mar 2003 14:56:12 -0500

heartbeat (0.4.9.2-3) unstable; urgency=low

  * fixed a build bug caused by a buggy ld - I don't know if ld still
    has that problem (it doesn't seem to me), but anyway it's done.
    (closes: #129361)

 -- Michael Moerz <mikem@debian.org>  Tue, 15 Oct 2002 12:44:05 +0200

heartbeat (0.4.9.2-2) unstable; urgency=low

  * and again I was caught by that groupadd in the Makefiles
    this is fixed now (closes: 164773)

 -- Michael Moerz <mikem@debian.org>  Tue, 15 Oct 2002 02:08:52 +0200

heartbeat (0.4.9.2-1) unstable; urgency=low

  * new upstream release
  * fixed cut problem (caused by missing escape sequences) 
    (closes: #130895, #131253, #131259)
  * corrected missing Depends on adduser (closes: #147661)
  * corrected problem with install and duplicate files (closes: #162446)
  * fixed false assumption about possition of fuser from /sbin to /bin
  * changed configuration directory from /etc/ha.d to /etc/heartbeat
  * added the essential question if the user wants to use debconf
    for the configuration of heartbeat

 -- Michael Moerz <mikem@debian.org>  Mon, 14 Oct 2002 11:30:52 +0200

heartbeat (0.4.9.0l-7.2) unstable; urgency=low

  * corrected wrong dependency (on lvs) (Closes: #141922)

 -- Michael Moerz <mikem@debian.org>  Sun, 28 Apr 2002 02:31:57 +0200

heartbeat (0.4.9.0l-7.1) unstable; urgency=high

  * Non-maintainer upload, trying to get a release into woody
  * Use ifconfig <interface> 0 instead of ifconfig <interface> down
    (Closes: #129779)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  2 Mar 2002 22:49:32 -0500

heartbeat (0.4.9.0l-7) unstable; urgency=low

  * removed call of groupadd in hearbeat/Makefile (Closes: #121244)
  * heartbeat depends on system-log-daemon instead of sysklogd.
    (Closes: #120721)
  * corrected the soname of libhbclient from .0.0.0 to
    libhbclient.so.0.0.0
  * removed debian/.shlibs files since they are autogenerated now
    by dh_makeshlibs -V
  * removed some log file that remained in debian/ from testing and
    debugging the debconf interface

 -- Michael Moerz <mikem@debian.org>  Thu, 13 Dec 2001 03:14:42 +0100

heartbeat (0.4.9.0l-6) unstable; urgency=low

  * this time I hope I got it right with the sections of the several packages
    involved
  * heartbeat is up to date now (Closes: #79946, #90521, #63259)
  * /usr/lib/heartbeat/ResourceManager: renamed init.d directory
    (Closes: #89598)
  * A newer README.Debian added (Closes: #94469)

 -- Michael Moerz <mikem@debian.org>  Mon, 12 Nov 2001 20:27:59 +0100

heartbeat (0.4.9.0l-5) unstable; urgency=low

  * an other forgotten debug statement that caused trouble (Closes: #118984)
  * fixed some missing ldconfig in heartbeat.postinst and heartbeat.postrm
  * fixed so version in heartbeat.shlibs

 -- Michael Moerz <mikem@debian.org>  Sat, 10 Nov 2001 19:21:19 +0100

heartbeat (0.4.9.0l-4) unstable; urgency=low

  * corrected section of ldirectords and stoniths to section admin
  * corrected wrong dependency of ldirectord to lvs (ipvsadm)

 -- Michael Moerz <mikem@debian.org>  Sat, 10 Nov 2001 11:43:22 +0100

heartbeat (0.4.9.0l-3) unstable; urgency=low

  * corrected my faulty control file - so 0l-2 and 0l-1 never ever made
    it into the archive

 -- Michael Moerz <mikem@debian.org>  Fri,  9 Nov 2001 00:49:11 +0100

heartbeat (0.4.9.0l-2) unstable; urgency=low

  * removed some debug output causing a file testj to be written in the
    current directory 

 -- Michael Moerz <mikem@debian.org>  Thu,  8 Nov 2001 01:34:30 +0100

heartbeat (0.4.9.0l-1) unstable; urgency=low

  * taking package after talking to Paolo Molaro - well I was really lazy
    cause it took me a lot of time to create a working new package, but I
    hope the debconf interface was worth the waiting ...
  * Updated for 0.4.9.0l
  * modified package to fit policy 3.5.3.0
  * added Build Depends
  * added debconf support for heartbeat
  * wrote a very short manpage for stonith and meatclient

 -- Michael Moerz <mikem@debian.org>  Tue, 8 Nov 2001 22:56:01 +0200

heartbeat (0.4.6-2.2) frozen unstable; urgency=low

  * NMU
  * Fix Build-depends, this time with source.  Closes: #105837

 -- LaMont Jones <lamont@debian.org>  Wed, 15 Aug 2001 23:48:09 -0600

heartbeat (0.4.6-2) frozen unstable; urgency=low

  * Fix ugly bug with prerm (Closes: bug#56671). To the release manager:
    get this in potato as that bug is really annoying (endless loop
    with the yes program when uninstalling). You still need to kill or Crtl-C
    the prerm script, as it seems it's not possible to override
    a broken prerm script before it's run by dpkg.
  * Applied little patch from Terry Katz to make IPAddr work correctly
    with multiple similar IPs on the same pc (Closes: bug#55925).

 -- Paolo Molaro <lupus@debian.org>  Mon,  7 Feb 2000 15:36:38 +0100

heartbeat (0.4.6-1) unstable; urgency=low

  * New upstream release.

 -- Paolo Molaro <lupus@debian.org>  Thu,  2 Dec 1999 16:51:41 +0100

heartbeat (0.4.5a-1) unstable; urgency=low

  * Initial Release.

 -- Paolo Molaro <lupus@debian.org>  Wed, 17 Nov 1999 17:30:23 +0100

Local variables:
mode: debian-changelog
End:
